Uploaded image for project: 'eZ Publish / Platform'
  1. eZ Publish / Platform
  2. EZP-16526

eZFind error updating Solr's elevate configuration

    Details

    • Type: Bug Bug
    • Status: Closed
    • Priority: High High
    • Resolution: Fixed
    • Affects Version/s: 4.3.0rc1
    • Fix Version/s: QA tracked issues
    • Component/s: Search
    • Labels:
      None
    • Environment:

      Operating System: Debian 5
      PHP Version: 5.2

      Description

      Cannot synchronize ezp <=> Solr
       
      Vidar:
      ====
       
      [16:44:05] Vidar (eZ): since you get messages in solr console, ezfind and ezp is obviosuly communicating with each other.. so there is unlikely that it is you who do something wrong 
      
      

      Steps to reproduce

      Initialize with: --filter="eZFindAdminSeleneseTests.*empty.html"
       
      Initialize solr.sh
       
      Create 2 Articles with a common word (ex: "services")
       
      Logout and enter Plain Site;
      Search for the word previously inserted;
       
      Verify that there is no search results.
       
      Enter eZp admin and eZfind tab => Synconize (button)
       
      experience the error:
       
      "An unknown error occured in updating Solr's elevate configuration."
       
      And in the "solr.sh" console experience the following:
       
      "INFO: JNDI not configured for solr (NoInitialContextEx)"
      (this last line is repeated every 2 - 3 lines in the solr.sh console....
      

        Activity

        Hide
        Paul Borgermans added a comment -

        Fixed in rev 4560 (ez find 2.2.0)

        With the update of solr.war to a 1.5 dev version, the API for request handlers was slightly changed. The custom ezfind elevate synchronisation requesthandler did not conform anymore. This is now adapted and a new .jar is included in the builds

        Show
        Paul Borgermans added a comment - Fixed in rev 4560 (ez find 2.2.0) With the update of solr.war to a 1.5 dev version, the API for request handlers was slightly changed. The custom ezfind elevate synchronisation requesthandler did not conform anymore. This is now adapted and a new .jar is included in the builds
        Hide
        ezrobot added a comment -

        This issue has been automatically closed due to the lack of activity over a long period of time. It is very likely that it is obsolete, but if you think it is still valid, do not hesitate to reopen it and mention why.

        Show
        ezrobot added a comment - This issue has been automatically closed due to the lack of activity over a long period of time. It is very likely that it is obsolete, but if you think it is still valid, do not hesitate to reopen it and mention why.

          People

          • Assignee:
            Paul Borgermans
            Reporter:
            Ricardo Goulart
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: